Loading...
Searching...
No Matches
input.c File Reference
`#include "arc/input/input.h"`
`#include "arc/std/bool.h"`
`#include <stdio.h>`

Go to the source code of this file.

## Functions

void | ARC_Input_CreateWithEngineData (ARC_Input **input, ARC_EngineData *data)
void | ARC_Input_Destroy (ARC_Input *input)
ARC_Bool | ARC_Input_Update (ARC_Input *input)
ARC_Keyboard * | ARC_Input_GetKeyboard (ARC_Input *input)
ARC_Mouse * | ARC_Input_GetMouse (ARC_Input *input)

## Function Documentation

## ARC_Input_CreateWithEngineData()

void ARC_Input_CreateWithEngineData | ( | ARC_Input ** | input,
|  | ARC_EngineData * | data )

Definition at line 7 of file input.c.

{
printf("No Input Backend Selected\n");
}

Referenced by ARC_EngineData_Create().

## ARC_Input_Destroy()

void ARC_Input_Destroy | ( | ARC_Input * | input | ) |

Definition at line 11 of file input.c.

{
printf("No Input Backend Selected\n");
}

## ARC_Input_GetKeyboard()

ARC_Keyboard * ARC_Input_GetKeyboard | ( | ARC_Input * | input | ) |

Definition at line 20 of file input.c.

{
printf("No Input Backend Selected\n");
return NULL;
}

Referenced by ARC_EngineData_Create().

## ARC_Input_GetMouse()

ARC_Mouse * ARC_Input_GetMouse | ( | ARC_Input * | input | ) |

Definition at line 25 of file input.c.

{
printf("No Input Backend Selected\n");
return NULL;
}

Referenced by ARC_EngineData_Create().

## ARC_Input_Update()

ARC_Bool ARC_Input_Update | ( | ARC_Input * | input | ) |

Definition at line 15 of file input.c.

{
printf("No Input Backend Selected\n");
return ARC_True;
}
ARC_True
#define ARC_True
Definition bool.h:11

References ARC_True.

Referenced by ARC_Engine_RunUncapped().